curl --request GET \
--url https://api.clemta.com/fixed-assets \
--header 'X-API-Key: <api-key>'{
"success": true,
"message": "Fixed assets retrieved successfully",
"data": {
"fixed_assets": [
{
"id": "64b8f1a2e4b0c8d9f0123456",
"created_at": 1640995200,
"updated_at": 1640995200,
"title": "Office Computer",
"placed_in_service": 1640995200,
"cost": 1500,
"salvage_value": 150,
"business_use": 100,
"fixed_asset_number": 1,
"fixed_asset_number_text": "AST-1"
}
],
"total": 123
}
}Retrieve a list of fixed assets with filtering and pagination
curl --request GET \
--url https://api.clemta.com/fixed-assets \
--header 'X-API-Key: <api-key>'{
"success": true,
"message": "Fixed assets retrieved successfully",
"data": {
"fixed_assets": [
{
"id": "64b8f1a2e4b0c8d9f0123456",
"created_at": 1640995200,
"updated_at": 1640995200,
"title": "Office Computer",
"placed_in_service": 1640995200,
"cost": 1500,
"salvage_value": 150,
"business_use": 100,
"fixed_asset_number": 1,
"fixed_asset_number_text": "AST-1"
}
],
"total": 123
}
}| Parameter | Type | Description |
|---|---|---|
| X-API-KEY | string | Formation API Key (required) |
| Parameter | Type | Required | Description |
|---|---|---|---|
| company_id | string | Yes | Company ID to filter fixed assets |
| skip | string | No | Number of records to skip (pagination) |
| limit | string | No | Number of records to return (pagination) |
| search | string | No | Search term to filter fixed assets |
| sort | string | No | Field to sort by |
| order | string | No | Sort order: “asc” or “desc” |
| fixed_asset_number | string | No | Fixed asset number filter |
| fixed_asset_number_value | string | No | Fixed asset number value |
| title | string | No | Title filter |
| title_value | string | No | Title value |
| placed_in_service | string | No | Placed in service filter |
| placed_in_service_value | string | No | Placed in service value (timestamp) |
| end_placed_in_service_value | string | No | End placed in service value (timestamp) |
| cost | string | No | Cost filter |
| cost_value | string | No | Cost value |
| end_cost_value | string | No | End cost value |
| salvage_value | string | No | Salvage value filter |
| salvage_value_value | string | No | Salvage value |
| end_salvage_value | string | No | End salvage value |
| business_use | string | No | Business use filter |
| business_use_value | string | No | Business use value |
| end_business_use_value | string | No | End business use value |
| created_at | string | No | Created at filter |
| created_at_value | string | No | Created at value (timestamp) |
| end_date | string | No | End date value (timestamp) |
GET /fixed-assets?company_id=64b8f1a2e4b0c8d9f0123456GET /fixed-assets?company_id=64b8f1a2e4b0c8d9f0123456&skip=0&limit=10GET /fixed-assets?company_id=64b8f1a2e4b0c8d9f0123456&search=computerGET /fixed-assets?company_id=64b8f1a2e4b0c8d9f0123456&sort=created_at&order=descGET /fixed-assets?company_id=64b8f1a2e4b0c8d9f0123456&cost=range&cost_value=1000&end_cost_value=5000GET /fixed-assets?company_id=64b8f1a2e4b0c8d9f0123456&title=contains&title_value=officeGET /fixed-assets?company_id=64b8f1a2e4b0c8d9f0123456&placed_in_service=gte&placed_in_service_value=1640995200{
"success": true,
"message": "Fixed assets retrieved successfully",
"data": {
"fixed_assets": [
{
"id": "64b8f1a2e4b0c8d9f0123456",
"created_at": 1686787200,
"updated_at": 1686787200,
"title": "Office Computer",
"placed_in_service": 1640995200,
"cost": 1500.00,
"salvage_value": 150.00,
"business_use": 100.0,
"fixed_asset_number": 1,
"fixed_asset_number_text": "AST-1"
},
{
"id": "64b8f1a2e4b0c8d9f0123457",
"created_at": 1686787300,
"updated_at": 1686787300,
"title": "Company Vehicle",
"placed_in_service": 1641000000,
"cost": 35000.00,
"salvage_value": 5000.00,
"business_use": 80.0,
"fixed_asset_number": 2,
"fixed_asset_number_text": "AST-2"
}
],
"total": 2
}
}
| Parameter | Type | Description |
|---|---|---|
| success | boolean | Indicates if the operation was successful |
| message | string | Additional information about the operation |
| data | object | Response data for successful requests |
| data.fixed_assets | array | Array of fixed asset objects |
| data.total | integer | Total number of fixed assets |
| Field | Type | Description |
|---|---|---|
| id | string | Unique identifier for the fixed asset |
| created_at | integer | Creation timestamp |
| updated_at | integer | Last update timestamp |
| title | string | Title/name of the fixed asset |
| placed_in_service | integer | Timestamp when placed in service |
| cost | number | Original cost of the asset |
| salvage_value | number | Estimated salvage value |
| business_use | number | Percentage of business use (0-100) |
| fixed_asset_number | integer | Auto-generated asset number |
| fixed_asset_number_text | string | Formatted asset number (e.g., “AST-1”) |
{
"success": false,
"message": "Invalid request data",
"error": {
"code": "INVALID_REQUEST",
"details": "Company ID is required"
}
}
{
"success": false,
"message": "API key is required",
"error": {
"code": "API_KEY_REQUIRED"
}
}
{
"success": false,
"message": "Company not found",
"error": {
"code": "COMPANY_NOT_FOUND"
}
}
{
"success": false,
"message": "Internal server error",
"error": {
"code": "INTERNAL_ERROR"
}
}
Formation API key for authentication.
Company ID
Number of records to skip
Number of records to return
Search term
Sort field
Sort order (asc/desc)
asc, desc Fixed asset number filter
Fixed asset number value
Title filter
Title value
Placed in service filter
Placed in service value (timestamp)
End placed in service value (timestamp)
Cost filter
Cost value
End cost value
Salvage value filter
Salvage value
End salvage value
Business use filter
Business use value
End business use value
Created at filter
Created at value (timestamp)
End date value (timestamp)